#
# spec file for package gnustep-make
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



%define         gs_config        %{_sysconfdir}/GNUstep/GNUstep.conf
%define         gs_layout        fhs-other
%define         gs_makefiles     %{_datadir}/GNUstep/Makefiles

Name:           gnustep-make
Summary:        GNUstep Makefile package
Version:        2.7.0
Release:        1.1
License:        LGPL-2.1+ and GPL-3.0+
Group:          System/GUI/Other
Url:            http://www.gnustep.org/
Source:         ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz
Source1:        ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz.sig
Source2:        %{name}-rpmlintrc
BuildRequires:  gcc-objc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

# Disable debug package as rpm > 4.13 does not allow for empty debug file list.
%global debug_package %{nil}

%description
This package contains the basic scripts, makefiles and directory
layout needed to run and compile any GNUstep software. This package
was configured for the FHS file system layout, customised for SUSE.

%prep
%setup -q
# Set correct library path.
sed -e 's|/lib/|/%{_lib}/|' -e 's|/lib$|/%{_lib}|' \
        FilesystemLayouts/fhs-system > FilesystemLayouts/%{gs_layout}


%build
# '--with-tar=tar' ensures we get the real tar rather than gnutar.
# If star is installed, it sets up a duff gnutar.
%configure --with-layout=%{gs_layout} \
%if 0%{?suse_version} >= 1120
  --enable-native-objc-exceptions \
%endif
  --with-tar=tar
make %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} \
  GNUSTEP_INSTALLATION_DOMAIN=SYSTEM \
  install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc ANNOUNCE ChangeLog COPYING FAQ GNUstep-HOWTO NEWS README RELEASENOTES
%dir %{_sysconfdir}/GNUstep
%dir %{_datadir}/GNUstep
%{_bindir}/debugapp
%{_bindir}/gnustep-config
%{_bindir}/gnustep-tests
%{_bindir}/openapp
%{_bindir}/opentool
%{_mandir}/man1/debugapp.1.gz
%{_mandir}/man1/gnustep-config.1.gz
%{_mandir}/man1/gnustep-tests.1.gz
%{_mandir}/man1/openapp.1.gz
%{_mandir}/man1/opentool.1.gz
%{_mandir}/man7/GNUstep.7.gz
%{_mandir}/man7/library-combo.7.gz
%config(noreplace) %{gs_config}
%{gs_makefiles}
%defattr(0755,root,root)
%{gs_makefiles}/*.template
%{gs_makefiles}/*.*sh

%changelog
* Sun Apr 16 2017 fredkiefer@gmx.de
- update to 2.7.0
  o for more info please see ChangeLog file
* Fri Jan 13 2017 aloisio@gmx.com
- Added gnustep-make-rpmlintrc
- Spec cleanup
- Removed _service file and added tarball so that
  the package can be accepted into Factory
* Fri Dec 16 2016 aloisio@gmx.com
- Fixed library path for s390x
* Mon Mar 21 2016 fredkiefer@gmx.de
- update to 2.6.8
  o for more info please see ChangeLog file
* Sat May 16 2015 fredkiefer@gmx.de
- update to 2.6.7
  o for more info please see ChangeLog file
* Tue Dec 24 2013 fredkiefer@gmx.de
- update to 2.6.6
  o for more info please see ChangeLog file
* Sat Aug 10 2013 fredkiefer@gmx.de
- update to 2.6.5
  o for more info please see ChangeLog file
* Mon Apr  1 2013 fredkiefer@gmx.de
- update to 2.6.4
  o for more info please see ChangeLog file
* Mon Mar  4 2013 fredkiefer@gmx.de
- update to 2.6.3
  o for more info please see ChangeLog file
* Sat Aug  4 2012 chris@computersalat.de
- update to 2.6.2
  o for more info please see ChangeLog file
* Thu Apr  7 2011 chris@computersalat.de
- update to 2.4.0
  o for more info please see ChangeLog file
- fix fhs (library path)
  (see WindowMaker pkg: /usr/lib/GNUstep/Applications)
  o GNUSTEP_SYSTEM_APPS=/usr/lib/GNUstep/Applications
  o GNUSTEP_SYSTEM_LIBRARIES={_libdir}
- spec mods
  o add header
* Sun Apr 12 2009 lars@linux-schulserver.de
- initial version
